This reference provides a list of operations that can be carried out by an administrator on behalf of a user. As shown, an administrator can execute these operations by appending the user query parameter to the request. (See also User provisioning.)

General data source operations

Operation: Create a data source or group data source

Request: POST https://<myserver>:<port>/api/mgmt/datasources?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the CreateDataSource (1) permission.

Operation: Retrieve a list of data sources

Request: GET https://<myserver>:<port>/api/mgmt/datasources?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Operation: Retrieve the details for a data source

Request: GET https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}?user=<userName>

Operation: Retrieve the logs for a data source

Request: GET https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/logs?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Operation: Update the options and values for a data source

Request: PUT https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

Operation: Delete a data source

Request: DELETE https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the DeleteDataSource (4) permission.

Operation: Test a connection to a data source

Request: POST https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/test?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, the ViewDataSource (2) permission, and at least one query permission such as UseDataSourceWithJDBC (5), UseDataSourceWithODBC (6) or UseDataSourceWithOData (7).

Operation:Refresh the cached object mapping of a data source

Request: POST https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/map?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

OData operations

Operation: Create or refresh a data source OData model

Request: POST https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/model?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

Operation: Check status of the OData model refresh

Request: GET https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/model?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Operation: Retrieve a list of available schemas

Request: GET https://<myserver>:<port>/api/mgmt/datasources/<datasourceid>/schemas?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Operation: Retrieve table names

Request:
  • For data stores that support schemas
    GET https://<myserver>:<port>/api/mgmt/datasources/
       <datasourceid>/schemas/<schemaName>/tables
  • For data stores that do not support schemas
    GET https://<myserver>:<port>/api/mgmt/datasources/
       <datasourceid>/-/tables

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Operation: Retrieve table information

Request:
  • For data stores that support schemas
    GET https://<myserver>:<port>/api/mgmt/datasources/<datasourceid>/
       schemas/<schemaName>/tables/<tableName>?user=<userName>
  • For data stores that do not support schemas
    GET https://<myserver>:<port>/api/mgmt/datasources/<datasourceid>/
       schemas/-/tables/<tableName>?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Operation: Retrieve column information for a table

Request:
  • For data stores that support schemas
    GET https://<myserver>:<port>/api/mgmt/datasources/<datasourceid>/
       schemas/<schemaName>/tables/<tableName>/columns?user=<userName>
  • For data stores that do not support schemas
    GET https://<myserver>:<port>/api/mgmt/datasources/<datasourceid>/
       schemas/-/tables/<tableName>/columns?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Operation: Retrieve primary keys for a table

Request:
  • For data stores that support schemas
    GET https://<myserver>:<port>/api/mgmt/datasources/<datasourceid>/schemas/
       <schemaName>/tables/<tableName>/primarykeys?user=<userName>
  • For data stores that do not support schemas
    GET https://<myserver>:<port>/api/mgmt/datasources/<datasourceid>/schemas/-/
       tables/<tableName>/primarykeys?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Group data source operations

Operation: Create a data source or group data source

Request: POST https://<myserver>:<port>/api/mgmt/datasources?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the CreateDataSource (1) permission.

Operation: Retrieve the members of a group data source

Request: GET https://<myserver>:<port>/api/mgmt/datasources/{groupDatasourceId}/members?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Operation: Add member data sources to a group data source

Request: POST https://<myserver>:<port>/api/mgmt/datasources/{groupDatasourceId}/members?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

Operation: Update members of a group data source

Request: POST https://<myserver>:<port>/api/mgmt/datasources​/{groupDatasourceId}/members?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

Operation: Delete a member data source from a group data source

Request: DELETE https://<myserver>:<port/api/mgmt/datasources/{groupDatasourceId}/members/{memberDatasourceId}?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

Permissions operations

Operation: Retrieve permissions on a data source

Request: GET https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/permissions?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Operation: Update permissions on data sources

Request: PUT https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/permissions?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

Operation: Retrieve the user's permissions

Request: GET https://<myserver>:<port>/api/mgmt/permissions?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, and the OnBehalfOf (21) permission.

Data source sharing operations

Operation: Retrieve users with whom data source is being shared

Request: GET https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/sharedUsers?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Operation: Create a list of users with whom to share a data source

Request: POST https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/sharedUsers?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

Operation: Stop sharing the data source with users

Request: DELETE https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/sharedUsers?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the DeleteDataSource (4) permission.

Operation: Retrieve the data source permissions for a user with whom the data source is being shared

Request: GET https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/sharedUsers/{userId}?user=userName

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Operation: Update the data source permissions for a user with whom the data source is being shared

Request: PUT https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/sharedUsers/{userId}?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

Operation: Stop sharing the data source with a user

Request: DELETE https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/sharedUsers/{userId}?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

Operation: Retrieve tenants with which the data source is being shared

Request: GET https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/sharedTenants?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Operation: Create a list of tenants with which to share a data source

Request: POST https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/sharedTenants?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

Operation: Stop sharing a data source with tenants

Request: DELETE https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/sharedTenants?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

Operation: Retrieve the data source permissions for a tenant with which the data source is being shared

Request: GET https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/sharedTenants/{tenantId}?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Operation: Update the data source permissions for a tenant with which the data source is being shared

Request: PUT https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/sharedTenants/{tenantId}?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

Operation: Stop sharing the data source with a tenant

Request: DELETE https://<myserver>:<port>/api/mgmt/datasources/{datasourceId}/sharedTenants/{tenantId}?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

OAuth application object operations for data store connectivity

Operation: Retrieve OAuth applications

Request: GET https://<myserver>:<port>/api/mgmt/oauthapps?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the OAuth (28) permission.

Operation: Create an OAuth application object

Request: POST https://<myserver>:<port>/api/mgmt/oauthapps?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the OAuth (28) permission.

Operation: Retrieve an OAuth application object

Request: GET https://<myserver>:<port>/api/mgmt/oauthapps/{id}?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the OAuth (28) permission.

Operation: Update an OAuth application object

Request: PUT https://<myserver>:<port>/api/mgmt/oauthapps/<id>?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the OAuth (28) permission.

Operation: Delete an OAuth application object

Request: DELETE https://<myserver>:<port>/api/mgmt/oauthapps/{id}?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the OAuth (28) permission.

OAuth profile object operations for data store connectivity

Operation: Retrieve OAuth profiles

Request: GET https://<myserver>:<port>/api/mgmt/oauthprofiles?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Operation: Create an OAuth profile

Request: POST https://<myserver>:<port>/api/mgmt/oauthprofiles?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the CreateDataSource (1) permission.

Operation: Retrieve an OAuth profile

Request: GET https://<myserver>:<port>/api/mgmt/oauthprofiles/{id}?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.

Operation: Update an OAuth profile

Request: PUT https://<myserver>:<port>/api/mgmt/oauthprofiles/{id}?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

Operation: Delete an OAuth profile

Request: DELETE https://<myserver>:<port>/api/mgmt/oauthprofiles/{id}?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant to which the user belongs, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ModifyDataSource (3) permission.

Operation: Retrieve statistics for an OAuth profile

Request: GET https://<myserver>:<port>/api/mgmt/oauthprofiles/{id}/stats?user=<userName>

Permissions: The administrator must have the Administrator (12) permission; or the administrator must have administrative access on the tenant, the MgmtAPI (11) permission, the OnBehalfOf (21) permission, and the ViewDataSource (2) permission.